test_itifg(1)

NAME
test_itifg, swtrig_itifg, extime_itifg, ioport_itifg, config_pcdig - Test- and utility programs for the itifg(4) device driver

SYNOPSIS
test_itifg [-# number of processes] [-a special acq. mode] [-b board number] [-c camera number] [-d image depth] [-e] [-f camera config file] [-g gray scales] [-i] [-k] [-l] [-m] [-n number of buffers] [-o operation mode] [-r frame rate] [-s synchronisation mode] [-t frame count] [-v] [-z zoom factor] [save file name]

swtrig_itifg [-b board number] [-k]

extime_itifg [-b board number] [-e exposure time] [-m camera mode]

ioport_itifg [-b board number] [-t sampling time] [-w outport value]

config_pcdig [-b board number] [-d image depth] [-t camera taps] [-r] [fpga config file]

DESCRIPTION

OPTIONS

  common OPTIONEN

-b  board number.

-?

  test_itifg OPTIONS

-#  number of processes to fork.

-a  special acquisition mode.

-b  board number.
    see common OPTIONS

-c  camera number.

-d  image depth.

-e

-f  camera configuration file name.

-g  display gray scales.

-i

-l

-m

-n  number of image buffers.

-o  operation mode shortcut.

    read:

    mmap:

-p  camera frame rate.

-s  synchronisation mode shortcut.

    signal:

    select:

    poll:

-t  frame count.

-v

-z  image zoom (decimation) factor.

  swtrig_itifg OPTIONS

-b  board number.
    see common OPTIONS

-k

  extime_itifg OPTIONS

-b  board number.
    see common OPTIONEN

-e  camera exposure time in μ s.

interactive mode.

    q | quit program
    < > | set to mininal/maximal value
    + - | decrement/increment time by one step
    0-6 | coarse range preset

  ioport_itifg OPTIONS

-b  board number.
    see common OPTIONS

-t  inport sample time.

-w  outport value.

  config_pcdig OPTIONS

-b  board index.
    see common OPTIONEN

-d  image depth.

-t  camera taps.

-r

fpga configuration file name.